#!/bin/bash

trap 'kill 0' EXIT

random( ) {
	modval=`expr $2 - $1`
	expr $RANDOM % $modval + $1

}

# Below are sample arguments for a simple flow of registering a coffee franchise
# 1. Register coffee chain
# 2. Insert coffee store into coffee chain
# 3. Register coffee store
# 4. Insert coffee machine
# 5. Register coffee machine
# 6. Generate data with the machine settings

CHAIN_ARGS="oc_sample_2"
PRELOAD="n"
DISPLAY="y"
PRELOAD_DAYS=3
NUM_STORES=3
NUM_MACHINES=5
$pid
echo ./registerCoffeeChain $CHAIN_ARGS
./registerCoffeeChain $CHAIN_ARGS

for y in `seq 1 $NUM_STORES`; do
	COFFEE_STORE="oc_sample_2 A_$y 4545-Campus-Dr,-Irvine,-CA-92612 33.649908 -117.832047"
	echo	./insertCoffeeStores $COFFEE_STORE
	./insertCoffeeStores $COFFEE_STORE
	for x in `seq 1 $NUM_MACHINES`; do
		COFFEE_MACHINE="A_$y M_${y}_${x} MMM 2017-08-12T01:57:35.509Z"
		echo ./insertCoffeeMachines $COFFEE_MACHINE
		./insertCoffeeMachines $COFFEE_MACHINE
		MACHINE_SETTINGS="A_$y M_${y}_${x} 0.05 `random 40 80` `random 5 10` 0.9"
		echo ./preloadRecords $MACHINE_SETTINGS $PRELOAD_DAYS
		./preloadRecords $MACHINE_SETTINGS $PRELOAD_DAYS
		echo ./generateEspressoRecords $MACHINE_SETTINGS 
		./generateEspressoRecords $MACHINE_SETTINGS &
		pid=$!
	done
done

wait $pid
